/******************************************************************************
 *                                                                            *
 * File:   scanflag.h         Version  1.12            Date: 1997-05-01       *
 *                                                                            *
 * Copyright (C) 1993-1997 by kostis@acm.org (Kosta Kostis)                   *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     1997-05-01: KK V1.12                                                   *
 *        - see scanflag.c                                                    *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Function Prototypes

 *****************************************************************************/

extern	int	ScanFlags
(
	int     argc,
	char    *argv   []
) ;

/******************************************************************************

	Function Variables

 *****************************************************************************/

extern	char	*SrcFile ;      /* source encoding                           */
extern	char	*DstFile ;      /* destination encoding                      */
extern	char	*TabFile ;	/* table name                                */
extern	int	TransMake ;	/* what shall be done by transtab            */
extern	int	TableDump ;

/******************************************************************************

	Function Variable Values

 *****************************************************************************/

#define	TRANS_MAKE_DEFAULT	-1

#define	TRANS_MAKE_ALL		0
#define	TRANS_MAKE_TABLE	1
#define	TRANS_MAKE_UNICODE_A	2
#define	TRANS_MAKE_BINARY	3
#define	TRANS_MAKE_NOTHING	4

/******************************************************************************

	Function Return Codes

 *****************************************************************************/

#define SCN_OK          0       /* parameters are all valid                  */

#define SCN_UNKNOWN     1       /* unknown parameter used                    */
#define SCN_BADARGS     2       /* illegal number of params                  */
