/******************************************************************************
 *                                                                            *
 * File:   taberr  .h         Version  1.12            Date: 1997-05-01       *
 *                                                                            *
 * Copyright (C) 1993-1997 by kostis@acm.org (Kosta Kostis)                   *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     1997-05-01: KK V1.12                                                   *
 *        - see transtab.c                                                    *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Program Return Codes

 *****************************************************************************/

#define ERR_NONE		0	/* everything seemed to work    */

#define ERR_BAD			1	/* unconv. characters in input  */
#define ERR_SYNTAX		2	/* syntax error                 */
#define ERR_OPEN		11	/* unable to open file          */
#define ERR_READ		12	/* unable to read file          */
#define ERR_CODE		21	/* code file has bad syntax     */
#define ERR_REDEFINED           22	/* code redefined               */
#define ERR_MEMORY              42	/* out of memory                */

/******************************************************************************

	Program Error Messages

 *****************************************************************************/

#define ERR_MSG_OPEN		"%s: unable to open file %s\n"
#define ERR_MSG_CODE		"%s: code file %s has bad syntax in line %u\n"
#define ERR_MSG_REDEFINED	"%s: code file %s: code %u redefined line %u\n"
#define ERR_MSG_MEMORY		"%s: out of memory reading code file %s, line %u\n"
